//BASE LAYER BIANCO E NERO-------------------------------------------------------------	
OSM_bianco_nero = new OpenLayers.Layer.OSM('watercolor off', null, {
		eventListeners: {
			tileloaded: function(evt) {
				var ctx = evt.tile.getCanvasContext();
				if (ctx) {
					var imgd = ctx.getImageData(0, 0, evt.tile.size.w, evt.tile.size.h);
					var pix = imgd.data;
					for (var i = 0, n = pix.length; i < n; i += 4) {
						pix[i] = pix[i + 1] = pix[i + 2] = (3 * pix[i] + 4 * pix[i + 1] + pix[i + 2]) / 8;
					}
					ctx.putImageData(imgd, 0, 0);
					evt.tile.imgDiv.removeAttribute("crossorigin");
					evt.tile.imgDiv.src = ctx.canvas.toDataURL();
				}
			}
		},
		'displayInLayerSwitcher':false,
	});

//CULTURA-------------------------------------------------------------	
	var CULTURA_style = new OpenLayers.Style(OpenLayers.Util.applyDefaults({ 
            graphicWidth: 12 , 
            graphicHeight: 12 , 
            externalGraphic: 'img/musei.png', 
            fill: false, 
            stroke: false, 
            pointRadius: 0, 
            rotation: "${rotation}", 
            fillOpacity: 1 
        }, OpenLayers.Feature.Vector.style["default"]));
	
	LayerCultura = new OpenLayers.Layer.Vector("musei teatri cinema", {
			styleMap: CULTURA_style,
			strategies: [new OpenLayers.Strategy.Fixed()],
			protocol: new OpenLayers.Protocol.HTTP({
				//url: "./database/CULTURA.GeoJSON",
				url: "./database/puparc07.GeoJSON",
				format: new OpenLayers.Format.GeoJSON(),
				'internalProjection': new OpenLayers.Projection("EPSG:900913"),
				'externalProjection': new OpenLayers.Projection("EPSG:4326")
			}),
			'displayInLayerSwitcher':false
			});
			
//FARMACIE-------------------------------------------------------------	
	var FARMACIE_style = new OpenLayers.Style(OpenLayers.Util.applyDefaults({ 
            graphicWidth: 12 , 
            graphicHeight: 12 , 
            externalGraphic: 'img/sanità.png', 
            fill: false, 
            stroke: false, 
            pointRadius: 0, 
            rotation: "${rotation}", 
            fillOpacity: 1 
        }, OpenLayers.Feature.Vector.style["default"]));
	
	farmacie = new OpenLayers.Layer.Vector("farmacie", {
			styleMap: FARMACIE_style,
			strategies: [new OpenLayers.Strategy.Fixed()],
			protocol: new OpenLayers.Protocol.HTTP({
				//url: "./database/farmacie.GeoJSON",
				url: "./database/pupsfunz07f.GeoJSON",
				format: new OpenLayers.Format.GeoJSON(),
				'internalProjection': new OpenLayers.Projection("EPSG:900913"),
				'externalProjection': new OpenLayers.Projection("EPSG:4326")
			}),
			'displayInLayerSwitcher':false
			});			
	
//STRUTTURE RICETTIVE-------------------------------------------------------------

	/*var hotel_template = { 
		pointRadius: 5.0,
		strokeColor: "#000000",
		strokeOpacity: 1,
		strokeWidth: 0.76,
		fillColor: "#ff0000",
		fillOpacity: 1
	}
	
	var hotel_style = new OpenLayers.Style(hotel_template)*/
	
	var hotel_style = new OpenLayers.Style(
		OpenLayers.Util.applyDefaults({ 
			graphicWidth: 23 , 
            graphicHeight: 30 ,
			externalGraphic: "${getIcon}",
			fill: false, 
            stroke: false, 
            pointRadius: 0, 
            rotation: "${rotation}", 
            fillOpacity: 1 
		}, OpenLayers.Feature.Vector.style["default"]), {
			context: {
				getIcon: function(feature) {
					if (feature.attributes.DES_CLASSE==""){
						element="img/albergo.png";
					} else if (feature.attributes.DES_CLASSE=="Albergo 1 stella"){
						element='img/albergo.png';
					} else if (feature.attributes.DES_CLASSE=="Aree di sosta camper"){
						element='img/campeggio.png';
					} else if (feature.attributes.DES_CLASSE=="Bed & Breakfast"){
						element='img/b&b.png';
					} else if (feature.attributes.DES_CLASSE=="Albergo 2 stelle"){
						element='img/albergo.png';
					} else if (feature.attributes.DES_CLASSE=="Residenza Turistica Alberghiera"){
						element='img/casa.png';
					} else if (feature.attributes.DES_CLASSE=="Campeggio"){
						element='img/campeggio.png';
					} else if (feature.attributes.DES_CLASSE=="Case e appartamenti per vacanze"){
						element='img/casa.png';
					} else if (feature.attributes.DES_CLASSE=="Ostello"){
						element='img/ostello.png';
					} else if (feature.attributes.DES_CLASSE=="Albergo 3 stelle"){
						element='img/albergo.png';
					} else if (feature.attributes.DES_CLASSE=="Albergo 4 stelle"){
						element='img/albergo.png';
					} else if (feature.attributes.DES_CLASSE=="Agriturismo"){
						element='img/agriturismo.png';
					} else if (feature.attributes.DES_CLASSE=="Affittacamere, locande"){
						element='img/ostello.png';
					} else {
						element="img/albergo.png";
					}
					return element;
				}
				
			}
		}
	);
	
	hotel = new OpenLayers.Layer.Vector("strutture ricettive", {
			styleMap: hotel_style,
			strategies: [new OpenLayers.Strategy.Fixed()],
			protocol: new OpenLayers.Protocol.HTTP({
				url: "./database/ricettive.GeoJSON",
				format: new OpenLayers.Format.GeoJSON(),
				'internalProjection': new OpenLayers.Projection("EPSG:900913"),
				'externalProjection': new OpenLayers.Projection("EPSG:4326")
			})
			});

//AREE SELEZIONABILI CON SLIDER-------------------------------------------------------------		
		//var YesRangeStyle = { strokeColor: "Transparent",strokeOpacity: .5,strokeWidth: 1,fillColor: "#003644",fillOpacity: .2 };
		var YesRangeStyle = { strokeColor: "white",strokeOpacity: .5,strokeWidth: 1,fillColor: "orange",fillOpacity: 0 };
		var NoRangeStyle = { strokeColor: "Transparent",strokeOpacity: .5,strokeWidth: 1,fillColor: "black",fillOpacity: .8 };

		style = new OpenLayers.StyleMap({
			"default": new OpenLayers.Style(YesRangeStyle),
			"temporary": new OpenLayers.Style({
				strokeColor: "Transparent",
				strokeOpacity: .5,
				strokeWidth: 1,
				fillColor: "red",
				fillOpacity: .2,
			}),
			"select": new OpenLayers.Style({
				strokeOpacity: 1,
				strokeWidth: 5,
			})
		});
		styleMaschera = new OpenLayers.StyleMap({
			"default": new OpenLayers.Style(NoRangeStyle),
		});
		
		areeSezCens = new OpenLayers.Layer.Vector("Aree", {
			styleMap: style,
			strategies: [new OpenLayers.Strategy.Fixed()],
			protocol: new OpenLayers.Protocol.HTTP({
				url: "./database/SEZ_UTM.GeoJSON",
				format: new OpenLayers.Format.GeoJSON(),
				'internalProjection': new OpenLayers.Projection("EPSG:900913"),
				'externalProjection': new OpenLayers.Projection("EPSG:4326")
			}),
			'displayInLayerSwitcher':false
		});	

//MASCHERA-------------------------------------------------------------		
		
		mascheraAree = new OpenLayers.Layer.Vector("Maschera", {
			styleMap: styleMaschera,
			strategies: [new OpenLayers.Strategy.Fixed()],
			protocol: new OpenLayers.Protocol.HTTP({
				url: "./database/MASCHERA.GeoJSON",
				format: new OpenLayers.Format.GeoJSON(),
				'internalProjection': new OpenLayers.Projection("EPSG:900913"),
				'externalProjection': new OpenLayers.Projection("EPSG:4326")
			}),
			'displayInLayerSwitcher':false
		});
		