//BASE LAYER BIANCO E NERO-------------------------------------------------------------	
OSM_bianco_nero = new OpenLayers.Layer.OSM('watercolor off', null, {
		eventListeners: {
			tileloaded: function(evt) {
				var ctx = evt.tile.getCanvasContext();
				if (ctx) {
					var imgd = ctx.getImageData(0, 0, evt.tile.size.w, evt.tile.size.h);
					var pix = imgd.data;
					for (var i = 0, n = pix.length; i < n; i += 4) {
						pix[i] = pix[i + 1] = pix[i + 2] = (3 * pix[i] + 4 * pix[i + 1] + pix[i + 2]) / 8;
					}
					ctx.putImageData(imgd, 0, 0);
					evt.tile.imgDiv.removeAttribute("crossorigin");
					evt.tile.imgDiv.src = ctx.canvas.toDataURL();
				}
			}
		},
		'displayInLayerSwitcher':false,
	});
	
	
//LAYER FISSI

	//CICLABILI-------------------------------------------------------------
	var Ciclabili_template = { 
		strokeColor: "rgb(0,170,0)",
		strokeOpacity: 1.0,
		strokeWidth: 0.8,
		}
	var Ciclabili_style = new OpenLayers.Style(Ciclabili_template)

	
	ciclabili = new OpenLayers.Layer.Vector("piste ciclabili", {
			styleMap: Ciclabili_style,
			strategies: [new OpenLayers.Strategy.Fixed()],
			protocol: new OpenLayers.Protocol.HTTP({
				url: "./database/Ciclabili.GeoJSON",
				format: new OpenLayers.Format.GeoJSON(),
				'internalProjection': new OpenLayers.Projection("EPSG:900913"),
				'externalProjection': new OpenLayers.Projection("EPSG:4326")
			}),
			'displayInLayerSwitcher':false
	});	

	//ztl-------------------------------------------------------------
	var ZTL_template = { 
		strokeColor: "rgb(0,170,0)",
		fillColor: "red",
		fillOpacity: 0.5,
		strokeOpacity: 1.0,
		strokeWidth: 0.8,
		}
	var ZTL_style = new OpenLayers.Style(ZTL_template)

	
	ZTL = new OpenLayers.Layer.Vector("ZTL", {
			styleMap: ZTL_style,
			strategies: [new OpenLayers.Strategy.Fixed()],
			protocol: new OpenLayers.Protocol.HTTP({
				url: "./database/ZTL.GeoJSON",
				format: new OpenLayers.Format.GeoJSON(),
				'internalProjection': new OpenLayers.Projection("EPSG:900913"),
				'externalProjection': new OpenLayers.Projection("EPSG:4326")
			}),
			'displayInLayerSwitcher':false
	});		
	
	//FARMACIE-------------------------------------------------------------	
	var bikes_style = new OpenLayers.Style(OpenLayers.Util.applyDefaults({ 
            graphicWidth: 12 , 
            graphicHeight: 12 , 
            externalGraphic: 'img/sanita.png', 
            fill: false, 
            stroke: false, 
            pointRadius: 0, 
            rotation: "${rotation}", 
            fillOpacity: 1 
        }, OpenLayers.Feature.Vector.style["default"]));
	
	bikes = new OpenLayers.Layer.Vector("bikes", {
			styleMap: bikes_style,
			strategies: [new OpenLayers.Strategy.Fixed()],
			protocol: new OpenLayers.Protocol.HTTP({
				//url: "./database/bikes.GeoJSON",
				url: "./database/bikesharing.GeoJSON",
				format: new OpenLayers.Format.GeoJSON(),
				'internalProjection': new OpenLayers.Projection("EPSG:900913"),
				'externalProjection': new OpenLayers.Projection("EPSG:4326")
			}),
			'displayInLayerSwitcher':false
			});		